Bug 1054067 - [abrt] gtkpod-2.1.4-1.fc20: type_check_is_value_type_U(): gtkpod killed by SIGSEGV
Summary: [abrt] gtkpod-2.1.4-1.fc20: type_check_is_value_type_U(): gtkpod killed by SI...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gtkpod
Version: 20
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Gwyn Ciesla
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:db5bd316c7dd66d81206a12655b...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-16 07:58 UTC by Gerry
Modified: 2015-06-29 14:29 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 14:29:47 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (31.40 KB, text/plain)
2014-01-16 07:58 UTC, Gerry
no flags Details
File: cgroup (172 bytes, text/plain)
2014-01-16 07:58 UTC, Gerry
no flags Details
File: core_backtrace (12.76 KB, text/plain)
2014-01-16 07:58 UTC, Gerry
no flags Details
File: dso_list (12.47 KB, text/plain)
2014-01-16 07:58 UTC, Gerry
no flags Details
File: environ (2.94 KB, text/plain)
2014-01-16 07:58 UTC, Gerry
no flags Details
File: exploitable (82 bytes, text/plain)
2014-01-16 07:59 UTC, Gerry
no flags Details
File: limits (1.29 KB, text/plain)
2014-01-16 07:59 UTC, Gerry
no flags Details
File: maps (73.90 KB, text/plain)
2014-01-16 07:59 UTC, Gerry
no flags Details
File: open_fds (1.35 KB, text/plain)
2014-01-16 07:59 UTC, Gerry
no flags Details
File: proc_pid_status (930 bytes, text/plain)
2014-01-16 07:59 UTC, Gerry
no flags Details
File: var_log_messages (960 bytes, text/plain)
2014-01-16 07:59 UTC, Gerry
no flags Details

Description Gerry 2014-01-16 07:58:43 UTC
Description of problem:
1. Attached ipod touch 2G
2. Started gtkpod
3. gtkpod became nonresponsive after a few seconds.
4. gtkpod crashed.

Version-Release number of selected component:
gtkpod-2.1.4-1.fc20

Additional info:
reporter:       libreport-2.1.11
backtrace_rating: 4
cmdline:        gtkpod
crash_function: type_check_is_value_type_U
executable:     /usr/bin/gtkpod
kernel:         3.12.7-300.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 type_check_is_value_type_U at gtype.c:4107
 #1 g_type_check_value_holds at gtype.c:4156
 #2 playcounts_plist_read at itdb_itunesdb.c:1178
 #3 playcounts_init at itdb_itunesdb.c:1319
 #4 itdb_parse_internal at itdb_itunesdb.c:3309
 #5 itdb_parse at itdb_itunesdb.c:3364
 #6 gp_import_itdb at file_itunesdb.c:546
 #7 gp_merge_itdb at file_itunesdb.c:802
 #8 gp_load_ipod at file_itunesdb.c:920
 #9 ad_timeout_cb at autodetection.c:280

Potential duplicate: bug 1023745

Comment 1 Gerry 2014-01-16 07:58:48 UTC
Created attachment 850896 [details]
File: backtrace

Comment 2 Gerry 2014-01-16 07:58:49 UTC
Created attachment 850897 [details]
File: cgroup

Comment 3 Gerry 2014-01-16 07:58:53 UTC
Created attachment 850898 [details]
File: core_backtrace

Comment 4 Gerry 2014-01-16 07:58:55 UTC
Created attachment 850899 [details]
File: dso_list

Comment 5 Gerry 2014-01-16 07:58:57 UTC
Created attachment 850900 [details]
File: environ

Comment 6 Gerry 2014-01-16 07:59:01 UTC
Created attachment 850901 [details]
File: exploitable

Comment 7 Gerry 2014-01-16 07:59:04 UTC
Created attachment 850902 [details]
File: limits

Comment 8 Gerry 2014-01-16 07:59:07 UTC
Created attachment 850903 [details]
File: maps

Comment 9 Gerry 2014-01-16 07:59:09 UTC
Created attachment 850904 [details]
File: open_fds

Comment 10 Gerry 2014-01-16 07:59:12 UTC
Created attachment 850905 [details]
File: proc_pid_status

Comment 11 Gerry 2014-01-16 07:59:13 UTC
Created attachment 850906 [details]
File: var_log_messages

Comment 12 M. Kristall 2014-06-08 18:24:47 UTC
Another user experienced a similar problem:

Start gtkpod without iphone connected. Starts fine. Connect iphone -> crash
Start gtkpod with iphone connected -> crash

reporter:       libreport-2.2.2
backtrace_rating: 4
cmdline:        gtkpod
crash_function: type_check_is_value_type_U
executable:     /usr/bin/gtkpod
kernel:         3.14.5-200.fc20.x86_64
package:        gtkpod-2.1.4-1.fc20
reason:         gtkpod killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 13 Fedora End Of Life 2015-05-29 10:31:39 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 14 Fedora End Of Life 2015-06-29 14:29:47 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.